Kent Fredric

NAME

Git::Wrapper::Plus::Support::Range - A record describing a range of supported versions

VERSION

version 0.004010

SYNOPSIS

    my $range = Git::Wrapper::Plus::Support::Range->new(
        min => '1.5.0',
        # min_sha1 => ...
        # min_tag  => ...
        max => '1.6.0',
        # max_sha1 => ...
        # max_tag  => ...
    );
    if ( $range->supports_version( $gwp->versions ) ) {
        print "Some feature is supported!"
    }

NOTE: Either min or max is mandatory, or both.

METHODS

supports_version

Determines if the given range supports a version or not.

    my $gg = Git::Wrapper::Plus->new( ... );
    my $range =  ...;
    if ( $range->supports_version( $gg->versions ) ) {
        $range is supported
    }

ATTRIBUTES

min

The minimum version this range supports

max

The maximum version this range supports

min_tag

The minimum tag that contained min_sha1. Annotative only, not used.

max_tag

The first tag that contained max_sha1. Annotative only, not used.

min_sha1

The sha1 this feature was added in. Annotative only, not used.

max_sha1

The sha1 this feature was removed in. Annotative only, not used.

AUTHOR

Kent Fredric <kentfredric@gmail.com>

COPYRIGHT AND LICENSE

This software is copyright (c) 2014 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.